﻿/*!
\file:dialog.cpp
\author LiuJuan
\Date 2020/11/09 
*/

#include <QComboBox>
#include <QLabel>
#include <QString>
#include "dialog.h"

CDialog::CDialog(QWidget* pParent) : QDialog(pParent) {
	ui.setupUi(this);

	ui.label_picture->setPixmap(QPixmap(":/images/lianxi.png"));
	
	ui.comboBox->addItem(tr("first"));
	ui.comboBox->addItem(tr("second"));
	ui.comboBox->addItem(tr("third"));
	ui.comboBox->setCurrentIndex(0);

	connect(ui.comboBox,SIGNAL(currentIndexChanged(QString)),this,SLOT(slot_comboBoxChanged(QString)));
}

CDialog::~CDialog(){
	
}

void CDialog::slot_comboBoxChanged(QString ){
	QString str = ui.comboBox->currentText();
	ui.label_tip->setText(str);
}

