﻿/*! 
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: ks07_06_dll_export.h
\brief DLL引出宏的定义文件
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2020/12
* please import ks07_06_dll_export.dll
*/

#pragma once


// 动态库导出宏定义
#ifdef WIN32		// windows platform
#    if defined __KS07_06_DLL_SOURCE__
#	     define KS07_06_DLL_API __declspec(dllexport)
#	 else
#	 	 define KS07_06_DLL_API __declspec(dllimport)
#	 endif
#else				// other platform
#    define KS07_06_DLL_API
#endif // WIN32


