﻿/*! 
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: ostype.h
\brief 操作系统类型定义
       本头文件仅用来演示不同操作系统中定长数据类型的定义方法，请勿作为真正的数据类型进行使用。
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2020/02 
*/

#pragma once
#if !defined(WIN32)
#include <unistd.h>
#endif
//  为各种操作系统定义宏定义
#if (defined(_WIN32) || defined(__WIN32__))
#	ifndef WIN32
#		define WIN32
#	endif
#elif (defined(sun) || defined(__sun) || defined(__sun__))
#	ifndef SUN
#		define SUN
#	endif
#elif defined(__alpha)
#	ifndef ALPHA
#		define ALPHA
#	endif
#elif defined(_AIX)
#	ifndef AIX
#		define AIX
#	endif
#elif (defined(hpux) || defined(__hpux))
#	ifndef HPUX
#		define HPUX
#	endif
#elif (defined(linux) || defined(__linux) || defined(__linux__))
#	ifndef LINUX
#		define LINUX
#	endif
#else    /* 其他平台 */
#	error 本平台未被支持！
#endif
