﻿/*! 
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: postalign.h
\brief 对齐方式定义头文件，用来需要取消对齐的结构体之后
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2020/02 
*/
#include "ostype.h"

// 定义对齐方式
// 使用方式：定义需要取消对齐的结构前包含prealgn.h文件，并在结构体定义完毕后包含postalign.h
#ifndef __GNUG__
	#if defined WIN32
		#pragma pack(pop)	
	#elif ALPHA
		#pragma pack(pop)
	#elif defined HPUX
		#pragma pack(pop)
	#elif defined AIX
		#pragma align(power)
	#elif defined SUN
		#pragma pack()
	#endif
#endif
