﻿/*!
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: clientthread.h
\brief 客户端处理线程类定义。
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2018/10
*/

#pragma once

#include "base_class.h"
#include <list>

struct s_IDValue {
    s_IDValue(type_uint32 id, type_double value);
    type_uint32 nId;
    type_double dValue;
};

class CClientThread : public ns_train::CPPThread {
public:
    CClientThread();

    /**
    * @brief  线程主循环函数。内部必须采用while(isWorking())作为主循环。
    * @return 无
    */
    virtual void run() override;
    
private:
    ns_train::CPPMutex m_mutex;

};


