#PROJECT_HOME=../../..
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE	= lib
LANGUAGE	= C++

CONFIG		+= dll

TEMPDIR		= $$PROJECT_OBJ_PATH/base/communicate

DESTDIR     = $$PROJECT_LIB_PATH
DLLDESTDIR  = $$PROJECT_BIN_PATH

INCLUDEPATH += $$PROJECT_HOME/include/base/communicate

win32{
	DEFINES *= __COMMUNICATE_SOURCE__  
	DEFINES -= UNICODE
	HEADERS	+= com_serialproxy_windows.h
	SOURCES += com_serialproxy_windows.cpp 
}
unix{
	HEADERS	+= com_serialproxy_linux.h
	SOURCES	+= com_serialproxy_linux.cpp 
}

HEADERS		+= $$PROJECT_HOME/src/project_base.pri \
				communicate.pro \
				$$PROJECT_HOME/include/base/communicate/check_sum.h \
				$$PROJECT_HOME/include/base/communicate/com_serial.h 

SOURCES += 	check_sum.cpp \
			com_serial.cpp 			

OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui

debug_and_release {
    CONFIG(debug, debug|release) {		   
		TARGET = communicate_d
	}
	CONFIG(release, debug|release) {				   
		TARGET	= communicate
	}
} else {
	debug {	
		TARGET	= communicate_d
	}
	release {
		TARGET 	= communicate
	}
}
