
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE = app
LANGUAGE = C++

CONFIG	+= console

INCLUDEPATH *= $$PROJECT_HOME/include/base/basedll \
                $$PROJECT_HOME/include/base/communicate \
                $$PROJECT_HOME/include/ks07_06
				
HEADERS	+= ks07_06_server.pro \
			$$PROJECT_HOME/src/project_base.pri \
			app.h \
			datavector.h \
			serverthread.h

SOURCES	+= main.cpp \
			app.cpp \
			example.cpp \
			datavector.cpp \
			serverthread.cpp

DESTDIR     = $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/chapter07/ks07_06_server
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui
win32 {
}
unix {
}
debug_and_release {
	CONFIG(debug, debug|release) {
		LIBS   += -lbasedll_d \
				  -lcommunicate_d \
                  -lks07_06_dll_d
		TARGET = ks07_06_server_d
	}
	CONFIG(release, debug|release) {
		LIBS	+= -lbasedll \
				  -lcommunicate \
                  -lks07_06_dll
		TARGET	= ks07_06_server
	}
} else {
	debug {	
		LIBS	+= -lbasedll_d  \
				  -lcommunicate_d \
                  -lks07_06_dll_d
		TARGET	= ks07_06_server_d
	}
	release {
		LIBS	+= -lbasedll \
				  -lcommunicate \
                  -lks07_06_dll
		TARGET 	= ks07_06_server
	}
}
