/*!
* Copyright (C) 2018 Ůϰ
* ȨС
* ڿγ̡C++ռǡѧϰ𴫲
* :벻֤ȶԣҵ;Ը

\file: autoreplymodel.cpp
\brief Զظģඨ
\author ŮϰףQt 5/PyQt 5ʵսָϡ΢Źں:ع(΢ź:xingdianketang)
\Date 2020/12
*/

#include "autoreplymodel.h"

#include <QColor>

CAutoReplyModel::CAutoReplyModel(QObject *parent): QStandardItemModel(parent) {

}

QVariant CAutoReplyModel::data(const QModelIndex& index, int role) const {
    if (Qt::DisplayRole == role) {
		QVariant var;
		var  = QStandardItemModel::data(index, role);
		QByteArray byteArray = var.toByteArray();
		QString strData;
		QString str;
		QByteArray::iterator ite = byteArray.begin();
		if (ite != byteArray.end()) {
			strData.sprintf("%02X", static_cast<quint8>(*ite));
			ite++;
		}
		while (ite != byteArray.end()) {
			str.sprintf(" %02X", static_cast<quint8>(*ite));
			strData += str;
			ite++;
		}
		var = strData;
		return var;
    }
    else {
        return QStandardItemModel::data(index, role);
    }
}

bool CAutoReplyModel::setData(const QModelIndex& index, const QVariant &value, int role) {
    if (Qt::EditRole == role) {
		bool bOk = false;
		QString str;
		QVariant var;
		str = value.toString();
		QStringList strList = str.split(" ");
		QStringList::iterator ite;
		QByteArray byteArray;
		for (ite = strList.begin(); ite != strList.end(); ite++) {
			if (0 == (*ite).trimmed().length()) {
				continue;
			}
			quint8 byData = static_cast<quint8>((*ite).toUShort(&bOk, 16));
			byteArray.push_back(byData);
		}
		var = byteArray;
		return QStandardItemModel::setData(index, var, role);
    }
    else {
        return QStandardItemModel::setData(index, value, role);
    }

}
