
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE	= app
LANGUAGE	= C++

CONFIG		+= qt
QT			+= widgets

INCLUDEPATH *= $$PROJECT_HOME/include/base/basedll \
			   $$PROJECT_HOME/include/base/communicate
			   
HEADERS		+=  $$PROJECT_HOME/src/project_base.pri \
				ks07_09.pro \
				autoreplymodel.h \
				autoreplysetting.h \
				delegate.h \
				dialog.h \
				tablemodel.h

SOURCES		+= 	main.cpp   \
				autoreplymodel.cpp \
				autoreplysetting.cpp \
				delegate.cpp \
				dialog.cpp \
				tablemodel.cpp
			
FORMS 		+= dialog.ui \
				autoreply.ui

DESTDIR     = $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/chapter07/ks07_09
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui

debug_and_release {
	CONFIG(debug, debug|release) {				   
		LIBS   += -lbasedll_d \
				  -lcommunicate_d
				  
		TARGET = ks07_09_d
	}
	CONFIG(release, debug|release) {			   
		LIBS	+= -lbasedll \
				  -lcommunicate
				  
		TARGET	= ks07_09
	}
} else {
	debug {		
		LIBS   += -lbasedll_d \
				  -lcommunicate_d
				  
		TARGET	= ks07_09_d
	}
	release {
		LIBS	+= -lbasedll \
				  -lcommunicate

		TARGET 	= ks07_09
	}
}