/*!
* Copyright (C) 2018 Ůϰ
* ȨС
* ڿγ̡C++ռǡѧϰ𴫲
* :벻֤ȶԣҵ;Ը

\file: tablemodel.h
\brief ģʵļ
\author ŮϰףQt 5/PyQt 5ʵսָϡ΢Źں:ع(΢ź:xingdianketang)
\Date 2020/4
*/
#include "tablemodel.h"

#include <QColor>

CTableModel::CTableModel(QObject *parent): QStandardItemModel(parent), m_bTurned(true) {

}

void CTableModel::setCurrentCell(int r, int c) {
    m_nCurrentRow = r;
    m_nCurrentColumn = c;
}

QVariant CTableModel::data(const QModelIndex& index, int role) const {
    if (!index.isValid()) {
        return QVariant();
    }
    QColor clrNew = Qt::red;
    QColor clrOld = Qt::blue;
    if (m_bTurned) {
        clrNew = Qt::blue;
        clrOld = Qt::red;
    }
    if (Qt::TextColorRole == role) {
        if (index.row() > m_nCurrentRow) {
            return clrOld;
        }
        else if (index.row() == m_nCurrentRow) {
            if (index.column() >= m_nCurrentColumn) {
                return clrOld;
            }
        }
        return clrNew;
    }
    else {
        return QStandardItemModel::data(index, role);
    }
}
