﻿/*! 
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: dialog.h
\brief  CDialog 类定义头文件
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2019/11
*/

#pragma once
#include <QDialog>
#include "customtype.h"
namespace Ui{
	class CDialog;
}
class QTimer;
// 父类的名称来自ui文件中对话框的类名：对象查看器中的类名
class CDialog : public QDialog {
	Q_OBJECT
public:
	CDialog(QWidget* pParent);
    ~CDialog();  
	
private:
	// 初始化界面 
	void initialize();
	// 添加曲线界面 
	void addGraph();
private slots:
	void slot_currentIndexChanged(int);
	void slot_timeout();
private:
    Ui::CDialog *m_pUi;
	QTimer *m_pDataTimer;
	type_uint32 m_nId;
};