
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE = app
LANGUAGE = C++

CONFIG	+= console

INCLUDEPATH *= $$PROJECT_HOME/include/base/basedll \
                $$PROJECT_HOME/include/base/communicate \
                $$PROJECT_HOME/include/ksui_01
				
HEADERS	+= ksui_01_server.pro \
			$$PROJECT_HOME/src/project_base.pri \
			app.h \
			datathread.h \
			serverthread.h

SOURCES	+= main.cpp \
			app.cpp \
			datathread.cpp \
			example.cpp \
			serverthread.cpp

DESTDIR     = $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/chapterui/ksui_01_server
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui
win32 {
}
unix {
}
debug_and_release {
	CONFIG(debug, debug|release) {
		LIBS   += -lbasedll_d \
                  -lcommunicate_d \
                  -lksui_01_dll_d
		TARGET = ksui_01_server_d
	}
	CONFIG(release, debug|release) {
		LIBS	+= -lbasedll \
                  -lcommunicate \
                  -lksui_01_dll
		TARGET	= ksui_01_server
	}
} else {
	debug {	
		LIBS	+= -lbasedll_d  \
                  -lcommunicate_d \
                  -lksui_01_dll_d
		TARGET	= ksui_01_server_d
	}
	release {
		LIBS	+= -lbasedll \
                  -lcommunicate \
                  -lksui_01_dll
		TARGET 	= ksui_01_server
	}
}
