﻿/*!
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: ks07_08_frametype.h
\brief  通信数据帧类型定义
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2020/12
* please import ks07_08_dll.dll
*/
#pragma once

// 服务器端发送的帧格式
enum ESERVER_FRAMETYPE {
	ESERVERFRAME_INVALID = -1,	// 非法
    ESERVERFRAME_ONEANALOGDATA,	// 一个模拟量数据
    ESERVERFRAME_ANALOGDATAS,	// 模拟量数据集合
    ESERVERFRAME_FILE,          // 文件
};

// 客户端发送的帧格式
enum ECLIENT_FRAMETYPE {
    ECLIENTFRAME_INVALID = -1,	// 非法
    ECLIENTFRAME_SETDATA,		// 设置模拟量数据
    ECLIENTFRAME_GETDATA,		// 获取模拟量数据
    ECLIENTFRAME_GETFILE,		// 获取文件
    ECLIENTFRAME_ACK,		    // 确认
};
