﻿/*!
* Copyright (C) 2020 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。
\file: service_windows.h
\brief 通用dll接口定义头文件, 该DLL不依赖Qt。
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2020/2
*/
#include <windows.h>				// MFC extensions

namespace ns_train {
/**
* @brief 供外部调用的启动服务接口，该接口内部调用ServiceStart(DWORD argc, LPTSTR* argv)。
* @param[in] service_name 注册用的服务名，Windows用，Linux不用。
* @param[in] service_showname 显示用的服务名，Windows用，Linux不用。
* @return true：成功，false：失败
*/
bool start_service(const char* service_name, const char* service_showname);

}
