#PROJECT_HOME=../../..
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE = lib
LANGUAGE = C++

CONFIG	+= dll

win32{
	LIBS += -lUser32 -lAdvapi32
	DEFINES -= UNICODE
	DEFINES *= __COMDATA_SOURCE__ 
}

INCLUDEPATH += $$PROJECT_HOME/include/base/comdata \
				 $$PROJECT_HOME/include/base/basedll

HEADERS	+= comdata.pro \
			$$PROJECT_HOME/src/project_base.pri \
			$$PROJECT_HOME/include/base/comdata/comdata.h
			
SOURCES	+= comdata.cpp

DESTDIR     = $$PROJECT_LIB_PATH
DLLDESTDIR	= $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/base/comdata
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui

debug_and_release {
	CONFIG(debug, debug|release) {
		LIBS	+= -lbasedll_d
		TARGET = comdata_d
	}
	CONFIG(release, debug|release) {
		LIBS	+= -lbasedll
		TARGET	= comdata
	}
} else {
	debug {	
		LIBS	+= -lbasedll_d
		TARGET	= comdata_d
	}
	release {
		LIBS	+= -lbasedll		
		TARGET 	= comdata
	}
}