
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE = app
LANGUAGE = C++

CONFIG	+= console

INCLUDEPATH *= $$PROJECT_HOME/include/base/basedll \
				$$PROJECT_HOME/include/base/communicate
				
HEADERS	+= ks07_04_server.pro \
			$$PROJECT_HOME/src/project_base.pri \
			app.h \
			datavector.h \
			serverthread.h

SOURCES	+= main.cpp \
			app.cpp \
			example.cpp \
			datavector.cpp \
			serverthread.cpp

DESTDIR     = $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/chapter07/ks07_04_server
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui
win32 {
}
unix {
}
debug_and_release {
	CONFIG(debug, debug|release) {
		LIBS   += -lbasedll_d
		TARGET = ks07_04_server_d
	}
	CONFIG(release, debug|release) {
		LIBS	+= -lbasedll 
		TARGET	= ks07_04_server
	}
} else {
	debug {	
		LIBS	+= -lbasedll_d 
		TARGET	= ks07_04_server_d
	}
	release {
		LIBS	+= -lbasedll 
		TARGET 	= ks07_04_server
	}
}