#PROJECT_HOME=../../..
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE = lib
LANGUAGE = C++

CONFIG	+= dll

win32{
	DEFINES *= __KSUI_01_DLL_SOURCE__ 
}

INCLUDEPATH += $$PROJECT_HOME/include/base/basedll \
                $$PROJECT_HOME/include/base/communicate \
                $$PROJECT_HOME/include/ksui_01 

HEADERS	+= ksui_01_dll.pro \
            $$PROJECT_HOME/src/project_base.pri \
			$$PROJECT_HOME/include/ksui_01/datavector.h \
            $$PROJECT_HOME/include/ksui_01/ksui_01_struct.h \
			$$PROJECT_HOME/include/ksui_01/ksui_01_client_protocolobject.h 	 \
			$$PROJECT_HOME/include/ksui_01/ksui_01_server_protocolobject.h	\	
			$$PROJECT_HOME/include/ksui_01/protocolcommand.h \
			$$PROJECT_HOME/include/ksui_01/protocolobject.h 
			
SOURCES	+=	datavector.cpp \
			ksui_01_dll.cpp \
			ksui_01_client_protocolobject.cpp \
			ksui_01_server_protocolobject.cpp \
			protocolobject.cpp \
			protocolcommand.cpp

DESTDIR     = $$PROJECT_LIB_PATH
DLLDESTDIR	= $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/chapterui/ksui_01
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui

debug_and_release {
	CONFIG(debug, debug|release) {
		LIBS	+= -lbasedll_d \
                  -lcommunicate_d 

		TARGET = ksui_01_dll_d
	}
	CONFIG(release, debug|release) {
		LIBS	+= -lbasedll \
                  -lcommunicate

		TARGET	= ksui_01_dll
	}
} else {
	debug {	
		LIBS	+= -lbasedll_d \
                  -lcommunicate_d 

		TARGET	= ksui_01_dll_d
	}
	release {
		LIBS	+= -lbasedll \
                  -lcommunicate 
		
		TARGET 	= ksui_01_dll
	}
}
