#PROJECT_HOME=../../..
PROJECT_HOME=$$(PROJECT_DEV_HOME)
include ($$PROJECT_HOME/src/project_base.pri)

TEMPLATE = lib
LANGUAGE = C++

CONFIG	+= dll

win32{
	DEFINES *= __KS07_08_DLL_SOURCE__ 
}

INCLUDEPATH += $$PROJECT_HOME/include/base/basedll \
                $$PROJECT_HOME/include/base/communicate \
                $$PROJECT_HOME/include/ks07_08 

HEADERS	+= ks07_08_dll.pro \
            $$PROJECT_HOME/src/project_base.pri \
			$$PROJECT_HOME/include/ks07_08/datavector.h \
            $$PROJECT_HOME/include/ks07_08/ks07_08_struct.h \
			$$PROJECT_HOME/include/ks07_08/ks07_08_client_protocolobject.h 	 \
			$$PROJECT_HOME/include/ks07_08/ks07_08_server_protocolobject.h	\	
			$$PROJECT_HOME/include/ks07_08/protocolcommand.h \
			$$PROJECT_HOME/include/ks07_08/protocolobject.h 
			
SOURCES	+=	datavector.cpp \
			ks07_08_dll.cpp \
			ks07_08_client_protocolobject.cpp \
			ks07_08_server_protocolobject.cpp \
			protocolobject.cpp \
			protocolcommand.cpp

DESTDIR     = $$PROJECT_LIB_PATH
DLLDESTDIR	= $$PROJECT_BIN_PATH
TEMPDIR		= $$PROJECT_OBJ_PATH/chapter07/ks07_08
OBJECTS_DIR = $$TEMPDIR
MOC_DIR		= $$TEMPDIR/moc
UI_DIR		= $$TEMPDIR/ui

debug_and_release {
	CONFIG(debug, debug|release) {
		LIBS	+= -lbasedll_d \
                  -lcommunicate_d 

		TARGET = ks07_08_dll_d
	}
	CONFIG(release, debug|release) {
		LIBS	+= -lbasedll \
                  -lcommunicate

		TARGET	= ks07_08_dll
	}
} else {
	debug {	
		LIBS	+= -lbasedll_d \
                  -lcommunicate_d 

		TARGET	= ks07_08_dll_d
	}
	release {
		LIBS	+= -lbasedll \
                  -lcommunicate 
		
		TARGET 	= ks07_08_dll
	}
}
