﻿/*!
* Copyright (C) 2018 女儿叫老白
* 版权所有。
* 代码仅用于课程《C++老鸟日记》的学习，请勿传播。
* 免责声明:代码不保证稳定性，请勿用作商业用途，否则后果自负。

\file: autoreplysetting.h
\brief 自动回复设置界面定义。
\author 女儿叫老白，代表作《Qt 5/PyQt 5实战指南》，微信公众号:软件特攻队(微信号:xingdianketang) 
\Date 2020/4
*/
#pragma once

#include "ui_autoreply.h"
#include <QDialog>

QT_BEGIN_NAMESPACE
QT_END_NAMESPACE


namespace Ui {
	class CAutoReplySetting;
}

class CAutoReplyModel;

class CAutoReplySetting : public QDialog {
	Q_OBJECT
public:
	CAutoReplySetting(QWidget* parent, CAutoReplyModel* pModel);	// 构造函数
	~CAutoReplySetting();				// 析构函数

private slots:
	void slot_add();		// 添加一行配置
	void slot_delete();		// 删除当前选中行
	void slot_exit();		// 退出
private:
	Ui::CAutoReplySetting ui;	// 界面
	CAutoReplyModel* m_pModel;	// 模型数据
};
